Loading...
Searching...
No Matches
LP and MIP Solvers
General Optimization Tools

## Detailed Description

This group contains LP and MIP solver interfaces for LEMON. Various LP solvers could be used in the same manner with this high-level interface.

The currently supported solvers are [glpk], [clp], [cbc], [cplex], [soplex].

## Classes

class | CbcMip
| Interface for the CBC MIP solver. More...
class | ClpLp
| Interface for the CLP solver. More...
class | CplexBase
| Base interface for the CPLEX LP and MIP solver. More...
class | CplexLp
| Interface for the CPLEX LP solver. More...
class | CplexMip
| Interface for the CPLEX MIP solver. More...
class | GlpkBase
| Base interface for the GLPK LP and MIP solver. More...
class | GlpkLp
| Interface for the GLPK LP solver. More...
class | GlpkMip
| Interface for the GLPK MIP solver. More...
class | LpBase
| Common base class for LP and MIP solvers. More...
class | LpSolver
| Common base class for LP solvers. More...
class | MipSolver
| Common base class for MIP solvers. More...
class | LpSkeleton
| Skeleton class for an LP solver interface. More...
class | MipSkeleton
| Skeleton class for a MIP solver interface. More...
class | SoplexLp
| Interface for the SOPLEX solver. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Macros

#define | LEMON_DEFAULT_LP SOLVER
| The default LP solver identifier.
#define | LEMON_DEFAULT_MIP SOLVER
| The default MIP solver identifier.

## Typedefs

typedef GlpkLp | Lp
| The default LP solver.
typedef GlpkMip | Mip
| The default MIP solver.

## Macro Definition Documentation

## LEMON_DEFAULT_LP

#define LEMON_DEFAULT_LP SOLVER

The default LP solver identifier.

Currently, the possible values are `_LEMON_GLPK`, `LEMON__CPLEX`, `_LEMON_SOPLEX` or `LEMON__CLP`

## LEMON_DEFAULT_MIP

#define LEMON_DEFAULT_MIP SOLVER

The default MIP solver identifier.

Currently, the possible values are `_LEMON_GLPK`, `LEMON__CPLEX` or `_LEMON_CBC`

## Typedef Documentation

## Lp

typedef GlpkLp Lp

The default LP solver.

Currently, it is either `GlpkLp`, `CplexLp`, `SoplexLp` or `ClpLp`

## Mip

typedef GlpkMip Mip

The default MIP solver.

Currently, it is either `GlpkMip`, `CplexMip` , `CbcMip`